package com.huimv.getdata.service.impl;


import com.huimv.getdata.entity.voucher.LinJinHuanKuanQi;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.voucher.ChanPinShouRu;
import com.huimv.getdata.entity.voucher.JingLiRunQuShi;
import com.huimv.getdata.mapper.ErpVoucherMapper;
import com.huimv.getdata.service.IErpVoucherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
@Service
public class ErpVoucherServiceImpl implements IErpVoucherService {

    @Autowired
    private ErpVoucherMapper erpVoucherMapper;

    @Override
    public List<ErpVoucher> getShouRuJinE(String date) {
        return erpVoucherMapper.getShouRuJinE(date);
    }

    @Override
    public List<ErpVoucher> getDangQianYueYingYeE(String date) {
        return erpVoucherMapper.getDangQianYueYingYeE(date);
    }

    @Override
    public List<ErpVoucher> getDangQianYueJingLiRun(String date) {
        return  erpVoucherMapper.getDangQianYueJingLiRun(date);
    }

    @Override
    public List<ErpVoucher> getDangQianZiJinYvE(String date) {
        return  erpVoucherMapper.getDangQianZiJinYvE(date);
    }

    @Override
    public List<ErpVoucher> getDangYueJieKuanYvE(String date) {
        return  erpVoucherMapper.getDangYueJieKuanYvE(date);
    }

    @Override
    public List<ErpVoucher> getGuoNeiWaiSouRu(String date) {
        return  erpVoucherMapper.getGuoNeiWaiSouRu(date);
    }

    @Override
    public List<ChanPinShouRu> getChanPinShouRu(String date) {
        return  erpVoucherMapper.getChanPinShouRu(date);
    }

    @Override
    public List<JingLiRunQuShi> getJingLiRunQuShi(String date) {
        return  erpVoucherMapper.getJingLiRunQuShi(date);
    }

    @Override
    public List<LinJinHuanKuanQi> getLinJinHuanKuan(String date) {
        return  erpVoucherMapper.getLinJinHuanKuan(date);
    }
}
